unit uRaetselstunde;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    LblEingabe1: TLabel;
    LblEingabe2: TLabel;
    EdtEingabe1: TEdit;
    EdtEingabe2: TEdit;
    PnlUeberschrift: TPanel;
    LblAusgabe1: TLabel;
    LblAusgabe2: TLabel;
    EdtAusgabe1: TEdit;
    EdtAusgabe2: TEdit;
    GrpBoxAusgabe: TGroupBox;
    BitBtnLosGehts: TBitBtn;
    GrpBoxEingabe: TGroupBox;
    BitBtnInformation: TBitBtn;
    procedure BitBtnLosGehtsClick(Sender: TObject);
    procedure BitBtnInformationClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.dfm}

procedure TForm1.BitBtnLosGehtsClick(Sender: TObject);
var
  Hilf,Zahl1,Zahl2: Integer;  { Hilf ist ein Hilfs-/Zwischenspeicher }
begin
  { Eingabe: Werte von Edits in Variablen speichern }
  Zahl1 := StrToInt(EdtEingabe1.Text);
  Zahl2 := StrToInt(EdtEingabe2.Text);

  { Verarbeitung: Variablenwerte vertauschen }
  Hilf := Zahl1;   { Zahl1 in Hilf zwischenspeichern }
  Zahl1 := Zahl2;  { Zahl2 in Zahl1 schreiben (alter Zahl1-Wert wird ueberschrieben) }
  Zahl2 := Hilf;   { Zwischengespeicherter Hilf-Wert der urspruenglichen Zahl1 in Zahl2 schreiben }

  { Ausgabe }
  EdtAusgabe1.Text := IntToStr(Zahl1);
  EdtAusgabe2.Text := IntToStr(Zahl2);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInformationClick(Sender: TObject);
begin
  MessageDlg('Rtselstunde (V1.0)' + #13 +
    'Ein kleines Rtselprogramm zur Quellcode-Analyse:' + #13 +
    'Was mache ich?' + #13 + #13 +
    'M. Zirbes, 2009' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.
